
#include <oslib/oslib.h>


PSP_MODULE_INFO("Devslib Sample", 0, 1, 1);
PSP_MAIN_THREAD_ATTR(THREAD_ATTR_USER | THREAD_ATTR_VFPU);



//variable
OSL_FONT *maFonte, *maFonte2, *maFonte3;


int main(int argc, char* argv[])
{


	//Initialisation
	oslInit(0);							//la lib
	oslInitGfx(OSL_PF_8888, 1);			//Gfx
	oslInitAudio();						//Sound



	maFonte2 = oslLoadFontFile("media/ArialBlack.oft"); //chargement de ma police perso
	maFonte3 = oslLoadFontFile("media/Adobe.oft"); //chargement de ma police perso
	maFonte = oslLoadFontFile("media/ArialBlack18.oft"); //chargement de ma police perso

	char *TexteOriginal = "Devsgen test de#\b texte#\r colorer#\j voila\n#\wretour a la #\vligne" ;

	//Ideal pour changer par exemple le nom par defaut des personnages dans un jeux par des nom choisi :)
	char *testTexte = oslStringReplace (TexteOriginal, "Devsgen", "DevsLib");



	while (!osl_quit)
	{
		//Debut du dessin
		oslStartDrawing();
		//efface l'ecran en blanc :)
		oslClearScreen (RGB(200, 200, 200));

			//utilise une fonte
		oslSetFont(maFonte);
		// affiche le texte avec le choix des couleurs facilement
		oslScriptText(10,10,testTexte);

		//retourne que l'extention d'un fichier
		oslScriptText(10,70,oslFileExtension("toto.txt"));

		oslSynchronization();

	}

	oslEndGfx();
	oslQuit();
	return 0;
}



